Index: trunk/SRC/Matrix/different.pro
===================================================================
--- trunk/SRC/Matrix/different.pro	(revision 372)
+++ trunk/SRC/Matrix/different.pro	(revision 373)
@@ -2,5 +2,7 @@
 ;
 ; @file_comments
-; calculate the different elements of 2 matrix of positive whole numbers.
+; find the different elements of 2 matrixes of positive whole numbers.
+;
+; see also <pro>union</pro> and <pro>inter</pro>.
 ;
 ; @categories
@@ -16,7 +18,6 @@
 ;
 ; @returns
-; tableau
+; an array containing the set of values in only a.
 ;
-; @restrictions
 ; The empty set is denoted by an array with the first element equal to
 ; -1.
@@ -32,5 +33,14 @@
 ;   IDL> a = [2,4,6,8]
 ;   IDL> b = [6,1,3,2]
-;   IDL> different(a,b) = [ 4, 8]         ; Elements in A but not in B
+;
+;   IDL> res=different(a,b) 
+;              4           8
+; Right because 4 and 8 are in a but not in b !
+;
+;   IDL> res=different(b,a)
+;   IDL> print,res
+;              1           3
+;
+; Right because 1 and 3 are in b but not in a !
 ;
 ; @history
Index: trunk/SRC/Matrix/extrac2.pro
===================================================================
--- trunk/SRC/Matrix/extrac2.pro	(revision 372)
+++ trunk/SRC/Matrix/extrac2.pro	(revision 373)
@@ -33,5 +33,5 @@
 ;
 ; @param array {in}{required}
-; a 1,2,3 or 4 dim input array
+; a 1d, 2d, 3d or 4d input array
 ;
 ; @param index1 {in}{required}
@@ -57,5 +57,5 @@
 ;
 ; @examples
-; I have a dim 2 matrix named A. I want extract a small intersection
+; I have a 2d matrix named A. I want extract a small intersection
 ; matrix 2d of the line 2, 3 and 7 and of the column 0 and 1:
 ;
Index: trunk/SRC/Matrix/inter.pro
===================================================================
--- trunk/SRC/Matrix/inter.pro	(revision 372)
+++ trunk/SRC/Matrix/inter.pro	(revision 373)
@@ -2,5 +2,7 @@
 ;
 ; @file_comments
-; calculate the intersection between 2 matrices of whole numbers
+; find the intersection between 2 matrices of whole numbers
+;
+; see also <pro>difference</pro> and <pro>union</pro>
 ;
 ; @categories
@@ -16,7 +18,6 @@
 ;
 ; @returns
-; tableau
+; an array containing the set of values in both a and b.
 ;
-; @restrictions 
 ; The empty set is denoted by an array with the first element equal to
 ; -1.
@@ -33,5 +34,7 @@
 ;   IDL> a = [2,4,6,8]
 ;   IDL> b = [6,1,3,2]
-;   IDL> inter(a,b) = [ 2, 6]       ; Common elements
+;   IDL> res=inter(a,b)
+;              2           6
+; Right because 2 and 6 are in a and B.
 ;
 ; @history
Index: trunk/SRC/Matrix/union.pro
===================================================================
--- trunk/SRC/Matrix/union.pro	(revision 372)
+++ trunk/SRC/Matrix/union.pro	(revision 373)
@@ -2,6 +2,8 @@
 ;
 ; @file_comments
-; calculate the union between 2 matrices of whole numbers
+; find the union between 2 matrices of whole numbers
 ;
+; see also <pro>difference</pro> and <pro>inter</pro>.
+
 ; @categories
 ; Calculation
@@ -16,8 +18,5 @@
 ;
 ; @returns
-; tableau
-;
-; @restrictions
-; The empty set is denoted by an array with the first element equal to -1.
+; an array containing the set of values in a and b.
 ;
 ; @restrictions 
@@ -32,5 +31,9 @@
 ;   IDL> a = [2,4,6,8]
 ;   IDL> b = [6,1,3,2]
-;   IDL> union(a,b) = [ 1, 2, 3, 4, 6, 8]  ; Elements in either set
+;   IDL> res=union(a,b) 
+;   IDL> print, res
+;           1           2           3           4           5           6
+           8
+; this is the list ao all elements in either sets.
 ;
 ; @history
Index: trunk/SRC/Matrix/zero_one.pro
===================================================================
--- trunk/SRC/Matrix/zero_one.pro	(revision 372)
+++ trunk/SRC/Matrix/zero_one.pro	(revision 373)
@@ -6,12 +6,28 @@
 ; Matrix
 ;
-; @param n1 {in}{required}
+; @param n1 {in}{required} {type=integer}
 ; number of elements in the first dimension
 ;
-; @param n2 {in}{required}
+; @param n2 {in} {type=integer}
 ; number of elements in the second dimension
 ;
+; @examples
+;
+;   IDL> a=zero_one(3)   
+;   IDL> help,a
+;   A               FLOAT     = Array[3]
+;   IDL> print,a
+;         0.00000      1.00000      0.00000
+;
+;   IDL> a=zero_one(2,3)   
+;   IDL> help,a
+;   A               FLOAT     = Array[2, 3]
+;   IDL> print,a
+;      0.00000      1.00000
+;      1.00000      0.00000
+;      0.00000      1.00000
+;
 ; @returns
-; result
+; an array of n1 dimension or n1xn2 dimensions
 ;
 ; @history