Index: trunk/SRC/ToBeReviewed/STRING/getfile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 373)
+++ trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 374)
@@ -8,6 +8,5 @@
 ;
 ; @keyword ERROR
-; =err  error flag: 0=ok, 1=file not opened,
-; 2=no lines in file.
+; error flag: 0=ok, 1=file not opened, 2=no lines in file.
 ;
 ; @keyword QUIET
@@ -15,11 +14,10 @@
 ;
 ; @keyword LINES
-; =n  Number of lines to read (def=all).
+; Number of lines to read (def=all).
 ; Much faster if number of lines is known.
 ; Automatic for IDL 5.6 or later.
 ;
 ; @keyword FIND
-; search the file in the all !path directories (use
-; find.pro)
+; search the file in the all !path directories (use <pro>find</pro>)
 ;
 ; @keyword HELP
Index: trunk/SRC/ToBeReviewed/STRING/getwrd.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/getwrd.pro	(revision 373)
+++ trunk/SRC/ToBeReviewed/STRING/getwrd.pro	(revision 374)
@@ -44,8 +44,8 @@
 ; given is used.  This saves finding the words again.
 ; If m > n wrd will be a string of words from word n to
-; word m.  If no m is given wrd will be a single word.
+; word m. If no m is given wrd will be a single word.
 ; n<0 returns text starting at word abs(n) to string end
 ; If n is out of range then a null string is returned.
-; See also nwrds.
+; See also <pro>nwrds</pro>.
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/STRING/putfile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/putfile.pro	(revision 373)
+++ trunk/SRC/ToBeReviewed/STRING/putfile.pro	(revision 374)
@@ -7,11 +7,11 @@
 ;
 ; @param FILE {in}{required}{type=string}
-; = text file name.
+; text file name.
 ;
 ; @param S {in}{required}{type=string or array}
-; = string array.
+; string array.
 ;
 ; @keyword ERROR
-; =err  error flag: 0=ok, 1=invalid string array.
+; error flag: 0=ok, 1=invalid string array.
 ; 
 ; @history
Index: trunk/SRC/ToBeReviewed/STRING/string2struct.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/string2struct.pro	(revision 373)
+++ trunk/SRC/ToBeReviewed/STRING/string2struct.pro	(revision 374)
@@ -39,6 +39,8 @@
 ;
 ; @param STRVAL {IN}{REQUIRED}
-; String set up as keywords. Keywords require a little special treatment. Such as
-; plot,findgen(100),_extra=stringToStructure('title="testing"')
+; String set up as keywords. Keywords require a little special treatment. 
+; Such as
+;
+; plot,findgen(100),_extra=string2struct('title="testing"')
 ;
 ; @returns
@@ -50,6 +52,6 @@
 ;       pro tPlot,event
 ;       widget_control,event.top,get_uvalue=field
-;       widget_control,field,get_value=strVal
-;       extra = stringToStructure(strVal)
+;       widget_control,field,get_value=strval
+;       extra = string2struct(strval)
 ;       plot,findgen(100),_extra=extra
 ;       wshow
@@ -78,9 +80,9 @@
 ;
 ;-
-FUNCTION string2struct,strVal
+FUNCTION string2struct,strval
 ;
   compile_opt idl2, strictarrsubs
 ;
-r = execute('extra = too_cool(' + strVal[0] +')')
+r = execute('extra = too_cool(' + strval[0] +')')
 ;if r = 0 then user did not enter keywords correctly so
 ;return a structure with a null field.
@@ -91,3 +93,2 @@
 return,extra
 end
-
Index: trunk/SRC/ToBeReviewed/STRING/strright.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/strright.pro	(revision 373)
+++ trunk/SRC/ToBeReviewed/STRING/strright.pro	(revision 374)
@@ -12,5 +12,6 @@
 ; @param LASTN {in}{required}{default=1}
 ; the number of characters to be returned.
-; If NLAST is the strlen(STRING), the complete string
+;
+; If LASTN is the strlen(STRING), the complete string
 ; is returned.
 ;
@@ -19,5 +20,11 @@
 ;
 ; @examples
-; if (strright(path) ne '/') then path = path + '/'
+; 
+; add a "/" in to path if it "/" is not at the end :
+;
+;  IDL> path="/tmp"
+;  IDL> if (strright(path) ne '/') then path = path + '/'
+;  IDL> print,path
+;  /tmp/
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/STRING/strsci.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/strsci.pro	(revision 373)
+++ trunk/SRC/ToBeReviewed/STRING/strsci.pro	(revision 374)
@@ -3,5 +3,5 @@
 ; @file_comments
 ; Given a number, returns a string of that B
-; number in scientific notation format ( e.g. A x 10  )
+; number in scientific notation format ( e.g. A x 10^B )
 ;
 ; @categories
Index: trunk/SRC/ToBeReviewed/STRING/strtok.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/strtok.pro	(revision 373)
+++ trunk/SRC/ToBeReviewed/STRING/strtok.pro	(revision 374)
@@ -33,6 +33,29 @@
 ; were set, old would be 'bar' on return.
 ;
+; not ok ++
+;   IDL> old='foo44 bar'
+;   IDL> res=strtok( old, '44' )
+;   IDL> print,res
+;       0           5
+;   IDL> print,old
+;      foo44 bar
+;
+;   IDL> old='foo44 bar'
+;   IDL> res=strtok( old, '44',/TRIM )
+;   IDL> print,res
+;       0           5
+;   IDL> print,old
+;      foo44 bar
+;
+; not ok ++
 ; If old='xyz', then new=strtok(old,'a') would return with
 ; new='xyz' and old=''.
+;   IDL> old='xyz'
+;   IDL> new=strtok( old, 'a' )
+;   IDL> print,new
+;           0
+;   IDL> print,old
+;   xyz
+
 ;
 ; @history
@@ -116,3 +139,2 @@
 
 END
-