Index: trunk/SRC/Documentation/xmldoc/getsaxo.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/getsaxo.xml	(revision 386)
+++ trunk/SRC/Documentation/xmldoc/getsaxo.xml	(revision 387)
@@ -99,5 +99,5 @@
          </listitem>
 </itemizedlist>
-If you can access one of theses directories, there is no need to re-install <application>SAXO</application> again! In that case, you only have to link <filename class='directory'>${HOME}/SAXO_DIR</filename> to the appropriate directory:
+If you can access one of these directories, there is no need to re-install <application>SAXO</application> again! In that case, you only have to link <filename class='directory'>${HOME}/SAXO_DIR</filename> to the appropriate directory:
 <variablelist>
   <varlistentry><term>IDRIS</term>
@@ -208,5 +208,5 @@
 <title> Get <application>SAXO</application> tests data files (&szdata; Mb) </title>
 <para>
-If you want to use the tests programs, you need to download the data tests files (<filename>SAXO_DATA_&date2;.tar.gz</filename>), you may download theses files in
+If you want to use the tests programs, you need to download the data tests files (<filename>SAXO_DATA_&date2;.tar.gz</filename>), you may download these files in
 <itemizedlist>
   <listitem>
Index: trunk/SRC/Documentation/xmldoc/makefile
===================================================================
--- trunk/SRC/Documentation/xmldoc/makefile	(revision 386)
+++ trunk/SRC/Documentation/xmldoc/makefile	(revision 387)
@@ -77,4 +77,5 @@
 
 html : \
+$(DIRWWW)/svnbasiccommands.html \
 $(DIRWWW)/getsaxo.html \
 $(DIRWWW)/websaxo.html \
@@ -92,4 +93,5 @@
 
 tracwiki : \
+$(DIRWIKI)/SvnBasicCommands \
 $(DIRWIKI)/AllPlots \
 $(DIRWIKI)/GetSaxo \
@@ -150,4 +152,38 @@
 	$(DIRSRC)/websaxo.xml
 
+$(DIRWIKI)/SvnBasicCommands : \
+$(DIRSRC)/saxo_tracwiki.xsl \
+$(DIRTMP)/svnbasiccommands_full.xml
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$(DIRTMP)/svnbasiccommands_full.xml | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
+        sed -e "s+@star@+*+" \
+	> $@
+
+$(DIRWWW)/svnbasiccommands.html : \
+$(DIRTMP)/svnbasiccommands_full.xml \
+$(DIRSRC)/saxo_html.xsl \
+$(DIRTMP)/titlepage.saxo.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param link.mailto.url "'mailto:saxo-dev_at_forge.ipsl.jussieu.fr'" \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/saxo_html.xsl \
+	$(DIRTMP)/svnbasiccommands_full.xml
+
+$(DIRTMP)/svnbasiccommands_full.xml : \
+$(DIRSRC)/svnbasiccommands.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/svnbasiccommands.xml
+
 $(DIRWIKI)/FaqSaxo : \
 $(DIRSRC)/saxo_tracwiki.xsl \
Index: trunk/SRC/Documentation/xmldoc/svnbasiccommands.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/svnbasiccommands.xml	(revision 387)
+++ trunk/SRC/Documentation/xmldoc/svnbasiccommands.xml	(revision 387)
@@ -0,0 +1,250 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+<!DOCTYPE article [
+<!ENTITY % isolat1 SYSTEM "http://www.w3.org/2003/entities/iso8879/isolat1.ent">
+%isolat1;
+<!ENTITY % isolat2 SYSTEM "http://www.w3.org/2003/entities/iso8879/isolat2.ent">
+%isolat2;
+<!ENTITY % isogrk3 SYSTEM "http://www.w3.org/2003/entities/iso8879/isogrk3.ent">
+%isogrk3;
+<!ENTITY % isopub SYSTEM "http://www.w3.org/2003/entities/iso8879/isopub.ent">
+%isopub;
+<!ENTITY % isotech SYSTEM "http://www.w3.org/2003/entities/iso8879/isotech.ent">
+%isotech;
+<!ENTITY % isonum SYSTEM "http://www.w3.org/2003/entities/iso8879/isonum.ent">
+%isonum;
+<!ENTITY project "saxo">
+]>
+<!--
+
+/Users/fplod/SAXO_DIR_ws/SRC/Documentation/xmldoc/svnbasiccommands.xml sur aedon.locean-ipsl.upmc.fr
+
+fplod 2008-12-03T17:36:01Z aedon.locean-ipsl.upmc.fr (Darwin)
+
+XML/DocBook migration of http://forge.ipsl.jussieu.fr/statpacksaxo/wiki/SvnBasicCommands from Sébastien Masson
+
+-->
+<article version="5.0"
+xmlns="http://docbook.org/ns/docbook"
+xmlns:xl="http://www.w3.org/1999/xlink"
+xml:lang="en">
+<title><command>svn</command> basic commands</title>
+  <info>
+    <authorgroup>
+      <author><personname><firstname>Sébastien</firstname> <surname>Masson</surname></personname> <email>Sebastien.Masson_at_locean-ipsl.upmc.fr</email></author>
+    </authorgroup>
+ <pubdate>$Id</pubdate>
+</info>
+
+<sect1 xml:id="help">
+<title><command>svn</command> help</title>
+<para>
+<screen>
+ <prompt>$</prompt> <userinput>svn help</userinput>
+</screen>
+</para>
+
+<para>
+Help on a specific command (for example <command>add</command>):
+
+<screen>
+ <prompt>$</prompt> <userinput>svn help add </userinput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="download">
+<title>Download &project;</title>
+
+<para>
+To download &project; in the directory <filename class="directory">~/&project;</filename> execute (with the appropriate login)
+
+<screen>
+ <prompt>$</prompt> <userinput>svn co svn+ssh://<replaceable>YOUR_LOGIN</replaceable>@forge.ipsl.jussieu.fr/ipsl/forge/projets/&project;/svn/trunk ~/&project;</userinput>
+</screen>
+</para>
+</sect1>
+
+<sect1 xml:id="update">
+<title>Update &project;</title>
+
+<para>
+To update everything, go to the directory where you installed &project; (for example <filename class="directory">~/&project;</filename>) and execute
+
+<screen>
+ <prompt>$</prompt> <userinput>svn update</userinput>
+</screen>
+</para>
+
+<para>
+You can also specify &project; when calling svn update, for example:
+
+<screen>
+ <prompt>$</prompt> <userinput>svn update ~/&project;</userinput>
+</screen>
+</para>
+
+<para>
+Or you can specify one or several files you want to update
+
+<screen>
+ <prompt>$</prompt> <userinput>svn update ~/&project;/SRC/clim*</userinput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="compare">
+<title>Compare your version with the reference deposit</title>
+<para>
+To compare your version with the reference deposit as it was at the time you download (or updated) &project;, execute:
+
+<screen>
+ <prompt>$</prompt> <userinput>svn status</userinput>
+</screen>
+</para>
+
+<para>
+To compare your version with the latest version of the reference deposit, execute:
+
+<screen>
+ <prompt>$</prompt> <userinput>svn status -u</userinput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="addfile">
+<title>Add a new file</title>
+
+<para>
+Add a new file to &project;
+
+<screen>
+ <prompt>$</prompt> <userinput>svn add <replaceable>file_name</replaceable></userinput>
+</screen>
+</para>
+
+<para>
+For example, directly
+
+<screen>
+ <prompt>$</prompt> <userinput>touch aaa</userinput> <lineannotation>create a <filename>aaa</filename> file</lineannotation>
+ <prompt>$</prompt> <userinput>ls -l aaa</userinput>
+<computeroutput>
+-rw-r--r-- 1 smasson lodyc 0 Oct 29 09:59 aaa
+</computeroutput>
+ <prompt>$</prompt> <userinput>svn status</userinput> <lineannotation>check your deposit, <filename>aaa</filename> file is signaled as unknown</lineannotation>
+<computeroutput>
+?      aaa
+</computeroutput>
+ <prompt>$</prompt> <userinput>svn add aaa</userinput> <lineannotation>add <filename>aaa</filename> file to the svn deposit</lineannotation>
+
+<computeroutput>
+A         aaa
+</computeroutput>
+ <prompt>$</prompt> <userinput>svn status</userinput> <lineannotation>check that <filename>aaa</filename> has beed add to the deposit</lineannotation>
+<computeroutput>
+A      aaa
+</computeroutput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="createdir">
+<title>Create a directory file</title>
+<para>
+<screen>
+ <prompt>$</prompt> <userinput>svn mkdir <replaceable>directory_name</replaceable></userinput>
+</screen>
+</para>
+
+<para>
+For example:
+
+<screen>
+ <prompt>$</prompt> <userinput>svn mkdir AAA</userinput> <lineannotation>create the directory and add it to the svn deposit in one unique command</lineannotation>
+<computeroutput>
+A         AAA
+</computeroutput>
+</screen>
+</para>
+
+<para>
+or
+
+<screen>
+ <prompt>$</prompt> <userinput>mkdir AAA</userinput> <lineannotation>create the directory</lineannotation>
+ <prompt>$</prompt> <userinput>svn status</userinput> <lineannotation>check your deposit, <filename class="directory">AAA</filename> is signaled as unknown</lineannotation>
+<computeroutput>
+?      AAA
+</computeroutput>
+
+ <prompt>$</prompt> <userinput>svn add AAA</userinput> <lineannotation>add it to the svn deposit</lineannotation>
+<computeroutput>
+A         AAA
+</computeroutput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="deletefile">
+<title>Delete an existing file</title>
+
+<para>
+<screen>
+ <prompt>$</prompt> <userinput>svn rm --force aaa</userinput> <lineannotation>works for file or directory</lineannotation>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="addversion">
+<title>Add automatic version number in a file</title>
+
+<para>
+Edit you file and add somewhere:
+
+<programlisting>
+$Id$
+</programlisting>
+</para>
+
+<para>
+Next execute the following svn command:
+
+<screen>
+ <prompt>$</prompt> <userinput>svn propset svn:keywords Id <replaceable>YOUR_FILE_NAME</replaceable></userinput>
+</screen>
+</para>
+
+<para>
+Next time you download/update you file, <literal>$Id$</literal> will be automatically replaced by the version tag.
+</para>
+</sect1>
+
+<sect1 xml:id="commit">
+<title>Commit your changes</title>
+
+<para>
+Commit all your changes with one command
+
+<screen>
+ <prompt>$</prompt> <userinput>svn commit --username <replaceable>YOUR_LOGIN</replaceable> --message "A SHORT DESCRIPTION" ~/&project;</userinput>
+</screen>
+</para>
+
+<para>
+or commit your change on one specific file (for example <filename>~/&project;/SRC/aaa</filename>)
+
+<screen>
+ <prompt>$</prompt> <userinput>svn commit --username <replaceable>YOUR_LOGIN</replaceable> --message "A SHORT DESCRIPTION" ~/&project;/SRC/aaa</userinput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="version">
+<title> More info on your version</title>
+<para>
+<screen>
+ <prompt>$</prompt> <userinput>svn info ~/&project;</userinput>
+</screen>
+</para>
+</sect1>
+</article>