Index: trunk/SRC/Documentation/xmldoc/getsaxo.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 402)
+++ trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 403)
@@ -8,15 +8,15 @@
     <link rel="stylesheet" href="saxo.css" type="text/css" />
     <link rev="made" href="mailto:saxo-dev_at_forge.ipsl.jussieu.fr" />
-    <meta name="generator" content="DocBook XSL Stylesheets V1.71.1" />
+    <meta name="generator" content="DocBook XSL Stylesheets V1.74.3" />
     <meta name="keywords" content="IDL, SAXO" />
   </head>
   <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
     <div class="article" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="getsaxo" id="getsaxo"></a>Get <span class="application">SAXO</span></h2></div><div><div class="authorgroup">
-      <div class="author"><h3 class="author"><span class="firstname">SÃ©bastien</span> <span class="surname">Masson</span> <code class="email">&lt;<a href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
-      <div class="author"><h3 class="author"><span class="firstname">FranÃ§oise</span> <span class="surname">Pinsard</span> <code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_locean-ipsl.upmc.fr">Francoise.Pinsard_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
+      <div class="author"><h3 class="author"><span class="firstname">SÃ©bastien</span> <span class="surname">Masson</span> <code class="email">&lt;<a class="email" href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
+      <div class="author"><h3 class="author"><span class="firstname">FranÃ§oise</span> <span class="surname">Pinsard</span> <code class="email">&lt;<a class="email" href="mailto:Francoise.Pinsard_at_locean-ipsl.upmc.fr">Francoise.Pinsard_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
     </div></div><div><span class="pubdate">svn Id of xml source file : $Id$<br /><br /></span></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr>
       <tr><td align="left">Revision 0.0</td><td align="left">May 2006</td></tr><tr><td align="left" colspan="2">First draft</td></tr>
       <tr><td align="left">Revision 0.1</td><td align="left">April 2008</td></tr><tr><td align="left" colspan="2">migration from DocBook 4.2 to Docbook 5.0</td></tr>
-    </table></div></div></div><hr /></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#create_saxo_env">1.  Create <span class="application">SAXO</span> environment </a></span></dt><dt><span class="sect1"><a href="#get_saxo_files">2.  Get <span class="application">SAXO</span> files </a></span></dt><dd><dl><dt><span class="sect2"><a href="#saxo_local">2.1.  If you work at IDRIS, IPSL or LOCEAN </a></span></dt><dt><span class="sect2"><a href="#saxo_svn">2.2.  If <span class="application"> Subversion (svn)</span> is installed on your machine </a></span></dt><dt><span class="sect2"><a href="#saxo_tar">2.3.  Get <span class="application">SAXO</span> from a tar file </a></span></dt></dl></dd><dt><span class="sect1"><a href="#generate_init">3.  Generate your init.pro file </a></span></dt><dt><span class="sect1"><a href="#aftergetsaxo">4. After this</a></span></dt></dl></div>
+    </table></div></div></div><hr /></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#create_saxo_env">1.  Create SAXO environment </a></span></dt><dt><span class="sect1"><a href="#get_saxo_files">2.  Get SAXO files </a></span></dt><dd><dl><dt><span class="sect2"><a href="#saxo_local">2.1.  If you work at IDRIS, IPSL or LOCEAN </a></span></dt><dt><span class="sect2"><a href="#saxo_svn">2.2.  If ??? is installed on your machine </a></span></dt><dt><span class="sect2"><a href="#saxo_tar">2.3.  Get SAXO from a tar file </a></span></dt></dl></dd><dt><span class="sect1"><a href="#generate_init">3.  Generate your init.pro file </a></span></dt><dt><span class="sect1"><a href="#aftergetsaxo">4. After this</a></span></dt></dl></div>
 
   
@@ -41,6 +41,6 @@
     <p>
       </p><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code>${HOME}</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">mkdir</strong></span> <em class="parameter"><code>My_IDL</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>cd</strong></span> <em class="parameter"><code>${HOME}</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>mkdir</strong></span> <em class="parameter"><code>My_IDL</code></em></code></strong>
       </pre><p>
     </p>
@@ -68,13 +68,13 @@
            
          </li></ul></div><p>
-If you can access one of theses directories, there is no need to re-install <span class="application">SAXO</span> again! In that case, you only have to link <code class="filename">${HOME}/SAXO_DIR</code> to the appropriate directory:
+If you can access one of these directories, there is no need to re-install <span class="application">SAXO</span> again! In that case, you only have to link <code class="filename">${HOME}/SAXO_DIR</code> to the appropriate directory:
 </p><div class="variablelist"><dl><dt><span class="term">IDRIS</span></dt><dd><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">ln</strong></span> <code class="option">-s</code> <em class="parameter"><code>/home/rech/eee/reee217/SAXO_DIR</code></em> <em class="parameter"><code>${HOME}/SAXO_DIR</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>ln</strong></span> <code class="option">-s</code> <em class="parameter"><code>/home/rech/eee/reee217/SAXO_DIR</code></em> <em class="parameter"><code>${HOME}/SAXO_DIR</code></em></code></strong>
   </pre>
          </dd><dt><span class="term">IPSL</span></dt><dd><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">ln</strong></span> <code class="option">-s</code> <em class="parameter"><code>/home/smlod/SAXO_DIR</code></em> <em class="parameter"><code>${HOME}/SAXO_DIR</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>ln</strong></span> <code class="option">-s</code> <em class="parameter"><code>/home/smlod/SAXO_DIR</code></em> <em class="parameter"><code>${HOME}/SAXO_DIR</code></em></code></strong>
   </pre>
            </dd><dt><span class="term">LOCEAN</span></dt><dd><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">ln</strong></span> <code class="option">-s</code> <em class="parameter"><code>/usr/home/smasson/SAXO_DIR</code></em> <em class="parameter"><code>${HOME}/SAXO_DIR</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>ln</strong></span> <code class="option">-s</code> <em class="parameter"><code>/usr/home/smasson/SAXO_DIR</code></em> <em class="parameter"><code>${HOME}/SAXO_DIR</code></em></code></strong>
   </pre>
            </dd></dl></div><p>
@@ -84,5 +84,5 @@
   
 
-    <div class="sect2" lang="en" xml:lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="saxo_svn" id="saxo_svn"></a>2.2.Â  If <a href="http://subversion.tigris.org/" target="_top"><span class="application"> Subversion (svn)</span></a> is installed on your machine </h3></div></div></div>
+    <div class="sect2" lang="en" xml:lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="saxo_svn" id="saxo_svn"></a>2.2.Â  If <a class="link" href="http://subversion.tigris.org/" target="_top"><span class="application"> Subversion (svn)</span></a> is installed on your machine </h3></div></div></div>
       
  
@@ -90,13 +90,13 @@
 
       <p>
-The <span class="bold"><strong>complete</strong></span> latest revision (source + tests data files: 772 Mb) can be checked out with the following command executed in your <code class="envar">${HOME}</code>:
-</p><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/</code></em> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
-</pre><p>
-      </p>
-      <p>
-The latest revision of the <span class="bold"><strong>source files</strong></span> (45 Mb) can be checked out with the following command:
-</p><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/SRC</code></em> <em class="parameter"><code>SAXO_DIR/SRC</code></em></code></strong>
+The <span class="bold"><strong>complete</strong></span> latest revision (source + tests data files: 771 Mb) can be checked out with the following command executed in your <code class="envar">${HOME}</code>:
+</p><pre class="screen">
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/</code></em> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
+</pre><p>
+      </p>
+      <p>
+The latest revision of the <span class="bold"><strong>source files</strong></span> (44 Mb) can be checked out with the following command:
+</p><pre class="screen">
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/SRC</code></em> <em class="parameter"><code>SAXO_DIR/SRC</code></em></code></strong>
 </pre><p>
       </p>
@@ -104,5 +104,5 @@
 The latest revision of the <span class="bold"><strong>NetCDF data files</strong></span> (728 Mb) used by the test programs can be checked out with the following command:
 </p><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA</code></em> <em class="parameter"><code>SAXO_DIR/DATA</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA</code></em> <em class="parameter"><code>SAXO_DIR/DATA</code></em></code></strong>
 </pre><p>
       </p>
@@ -114,5 +114,5 @@
 <span class="bold"><strong>Contributors</strong></span> should better use the following command (and replace login by their own login):
 </p><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>svn+ssh://<em class="replaceable"><code>login</code></em>@forge.ipsl.jussieu.fr/ipsl/forge/projets/saxo/svn/trunk/</code></em> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>svn+ssh://<em class="replaceable"><code>login</code></em>@forge.ipsl.jussieu.fr/ipsl/forge/projets/saxo/svn/trunk/</code></em> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
 </pre><p>
       </p>
@@ -125,31 +125,31 @@
       
   
-      <div class="sect3" lang="en" xml:lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="saxo_src_tar" id="saxo_src_tar"></a>2.3.1.Â  Get <span class="application">SAXO</span> source files (5.8M Mb) </h4></div></div></div>
+      <div class="sect3" lang="en" xml:lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="saxo_src_tar" id="saxo_src_tar"></a>2.3.1.Â  Get <span class="application">SAXO</span> source files (5.9M Mb) </h4></div></div></div>
 
 <p>
   Create your <code class="filename">${HOME}/SAXO_DIR</code> directory âŠ
   </p><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code>${HOME}</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">mkdir</strong></span> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>cd</strong></span> <em class="parameter"><code>${HOME}</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>mkdir</strong></span> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>cd</strong></span> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
   </pre><p>
          </p>
          <p>
-  âŠ and download it the latest version of the sources tar file: <a href="http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r339.tar.gz" target="_top">SAXO_SRC_20080321r339.tar.gz</a> (5.8M Mb).
-</p>
-<p>
-This tar.gz file could also be downloaded with <span><strong class="command">wget</strong></span> or <span><strong class="command">curl</strong></span>
-</p><div class="variablelist"><dl><dt><span class="term"><span><strong class="command">wget</strong></span></span></dt><dd><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r339.tar.gz</code></em></code></strong>
-  </pre>
-           </dd><dt><span class="term"><span><strong class="command">curl</strong></span></span></dt><dd><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r339.tar.gz</code></em></code></strong>
+  âŠ and download it the latest version of the sources tar file: <a class="link" href="http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20090723r402.tar.gz" target="_top">SAXO_SRC_20090723r402.tar.gz</a> (5.9M Mb).
+</p>
+<p>
+This tar.gz file could also be downloaded with <span class="command"><strong>wget</strong></span> or <span class="command"><strong>curl</strong></span>
+</p><div class="variablelist"><dl><dt><span class="term"><span class="command"><strong>wget</strong></span></span></dt><dd><pre class="screen">
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20090723r402.tar.gz</code></em></code></strong>
+  </pre>
+           </dd><dt><span class="term"><span class="command"><strong>curl</strong></span></span></dt><dd><pre class="screen">
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20090723r402.tar.gz</code></em></code></strong>
   </pre>
            </dd></dl></div><p>
 Untar the file
 </p><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code>${HOME}/SAXO_DIR</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">tar</strong></span> <code class="option">xvfz</code> <em class="parameter"><code>SAXO_SRC_20080321r339.tar.gz</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">rm</strong></span> <em class="parameter"><code>SAXO_SRC_20080321r339.tar.gz</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>cd</strong></span> <em class="parameter"><code>${HOME}/SAXO_DIR</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>tar</strong></span> <code class="option">xvfz</code> <em class="parameter"><code>SAXO_SRC_20090723r402.tar.gz</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>rm</strong></span> <em class="parameter"><code>SAXO_SRC_20090723r402.tar.gz</code></em></code></strong>
 </pre><p>
 </p>
@@ -160,27 +160,27 @@
 
 <p>
-If you want to use the tests programs, you need to download the data tests files (<code class="filename">SAXO_DATA_20060602.tar.gz</code>), you may download theses files in
+If you want to use the tests programs, you need to download the data tests files (<code class="filename">SAXO_DATA_20060602.tar.gz</code>), you may download these files in
 </p><div class="itemizedlist"><ul type="disc"><li>
            <code class="filename">${HOME}/My_IDL</code>. This is the easiest solution but it could be inconvenient if your <code class="envar">${HOME}</code> disk space is limited.
            
           </li><li>
-           <p>any other directory of your choice. In that case, when using IDL, you will need to define the variable <code class="varname">iodir</code> to the directory you choose in order to let IDL find the data tests files. This can be done either through the <code class="filename">init.pro</code> file (see <a href="#generate_init" title="3.Â  Generate your init.pro file ">SectionÂ 3, â Generate your init.pro file â</a>) or directly within IDL with the following command: 
-</p><pre class="screen">
- <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">iodir = <em class="replaceable"><code>the chosen directory</code></em></strong></span></code></strong>
+           <p>any other directory of your choice. In that case, when using IDL, you will need to define the variable <code class="varname">iodir</code> to the directory you choose in order to let IDL find the data tests files. This can be done either through the <code class="filename">init.pro</code> file (see <a class="xref" href="#generate_init" title="3.Â  Generate your init.pro file">SectionÂ 3, â Generate your init.pro file â</a>) or directly within IDL with the following command: 
+</p><pre class="screen">
+ <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span class="command"><strong>iodir = <em class="replaceable"><code>the chosen directory</code></em></strong></span></code></strong>
 </pre><p>
            </p>
           </li></ul></div><p>
 </p><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code>${HOME}</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">mkdir</strong></span> <em class="parameter"><code><em class="replaceable"><code>CHOSEN_DIR</code></em></code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code><em class="replaceable"><code>CHOSEN_DIR</code></em></code></em></code></strong>
-</pre><p>
-Download <a href="http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz" target="_top">SAXO_DATA_20060602.tar.gz</a> (238M Mb)
-or with <span><strong class="command">wget</strong></span> or <span><strong class="command">curl</strong></span> âŠ
-</p><div class="variablelist"><dl><dt><span class="term"><span><strong class="command">wget</strong></span></span></dt><dd><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>cd</strong></span> <em class="parameter"><code>${HOME}</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>mkdir</strong></span> <em class="parameter"><code><em class="replaceable"><code>CHOSEN_DIR</code></em></code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>cd</strong></span> <em class="parameter"><code><em class="replaceable"><code>CHOSEN_DIR</code></em></code></em></code></strong>
+</pre><p>
+Download <a class="link" href="http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz" target="_top">SAXO_DATA_20060602.tar.gz</a> (238M Mb)
+or with <span class="command"><strong>wget</strong></span> or <span class="command"><strong>curl</strong></span> âŠ
+</p><div class="variablelist"><dl><dt><span class="term"><span class="command"><strong>wget</strong></span></span></dt><dd><pre class="screen">
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz</code></em></code></strong>
    </pre>
-           </dd><dt><span class="term"><span><strong class="command">curl</strong></span></span></dt><dd><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz</code></em></code></strong>
+           </dd><dt><span class="term"><span class="command"><strong>curl</strong></span></span></dt><dd><pre class="screen">
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz</code></em></code></strong>
   </pre>
             </dd></dl></div><p>
@@ -197,9 +197,9 @@
       <p>
 </p><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code>${HOME}/SAXO_DIR/SRC</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">idl</strong></span></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>cd</strong></span> <em class="parameter"><code>${HOME}/SAXO_DIR/SRC</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>idl</strong></span></code></strong>
   <code class="computeroutput">IDL Version 6.0, Mac OS X (darwin ppc m32). (c) 2003, Research Systems, Inc.</code>
 
-  <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">buildinit</strong></span></code></strong>
+  <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span class="command"><strong>buildinit</strong></span></code></strong>
   <code class="computeroutput">% Compiled module: BUILDINIT.</code>
 </pre><p>
@@ -250,9 +250,9 @@
    <code class="computeroutput">% Compiled module: CW_FIELD.</code>
    <code class="computeroutput">% Compiled module: CW_FIELD.</code>
-   <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">exit</strong></span></code></strong>
-</pre><p>
-</p>
-<p>
-There is an example of the kind of <a href="idlfiles/init_example.pro" target="_top"> <code class="filename">init.pro</code></a> you should get.
+   <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span class="command"><strong>exit</strong></span></code></strong>
+</pre><p>
+</p>
+<p>
+There is an example of the kind of <a class="link" href="idlfiles/init_example.pro" target="_top"> <code class="filename">init.pro</code></a> you should get.
       </p>
     </div>
@@ -261,5 +261,5 @@
 <p>
 You are now ready to do your
-<a href="./firststeps.html" target="_top">First steps with SAXO</a>.
+<a class="link" href="./firststeps.html" target="_top">First steps with SAXO</a>.
 </p>
 </div>